Recordad que para pedir soporte alguno, debéis facilitar los datos de soporte oportunos por favor, mirad aquí y leer las Normas generales del foro, esto nos servirá de ayuda para dar el mejor soporte..

Gracias.

La Administración de phpBB España.

Error al actualizar a phpbb 3.3Tema Solucionado

Foros de soporte phpBB 3.3


Tio Javi
Usuario/a
Mensajes: 58
Registrado: 21 Sep 2014, 04:19

Error al actualizar a phpbb 3.3

#1

Mensaje por Tio Javi »


Datos de Soporte - Inicio

www.partieron.cl
Estilo(s) usuado(s):fflat style
MODs/Extensiones instaladas:
Versión de phpBB:3.3.0
Versión de PHP en tu servidor:7.3.6
Tipo de base de datos y versión en tu servidor:libmysql - 5.6.43

Tu conocimiento:Conocimiento básico
Servidor: de pago
Es una actualización desde otra versión: 3.2.8
Es una conversión desde otro tipo de Foro: NO


Datos de Soporte - Fin

Actualicé versión desde 3.2.8 a 3.3 usando paquete automático. Actualicé base de datos desde terminal de Cpanel de mi servidor y me arroja el siguiente error:

[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/template/twig/lexer.php on line 16: Declaration of phpbb/template/twig/lexer::tokenize($code, $filename = NULL) should be compatible with Twig/Lexer::tokenize(Twig/Source $source)
[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/template/twig/loader.php on line 19: Declaration of phpbb/template/twig/loader::findTemplate($name) should be compatible with Twig/Loader/FilesystemLoader::findTemplate($name, $throw = true)

Cómo lo soluciono?

Gracias!!!



Tio Javi
Usuario/a
Mensajes: 58
Registrado: 21 Sep 2014, 04:19

Error al actualizar a phpbb 3.3

#2

Mensaje por Tio Javi »

He ido actualizando uno a uno archivos que muestran errores en el log, pero no termino nunca. Qué recomiendan? Actualizar con versión completa y sobreescribir todo?

Tio Javi
Usuario/a
Mensajes: 58
Registrado: 21 Sep 2014, 04:19

Error al actualizar a phpbb 3.3

#3

Mensaje por Tio Javi »

Tengo el siguiente error. Favor ayuda:

[15-Jan-2020 15:51:43 UTC] PHP Fatal error: Uncaught TypeError: Argument 2 passed to phpbb\template\twig\extension::construct() must be an instance of phpbb\template\twig\environment, instance of phpbb\language\language given in /home/partiero/public_html/phpBB3/phpbb/template/twig/extension.php:34
Stack trace:
#0 [internal function]: phpbb\template\twig\extension->
construct(Object(phpbb\template\context), Object(phpbb\language\language))
#1 /home/partiero/public_html/phpBB3/vendor/symfony/dependency-injection/ContainerBuilder.php(1176): ReflectionClass->newInstanceArgs(Array)
#2 /home/partiero/public_html/phpBB3/vendor/symfony/dependency-injection/ContainerBuilder.php(634): Symfony\Component\DependencyInjection\ContainerBuilder->createService(Object(Symfony\Component\DependencyInjection\Definition), Array, true, 'template.twig.e...')
#3 /home/partiero/public_html/phpBB3/vendor/symfony/dependency-injection/ContainerBuilder.php(588): Symfony\Component\DependencyInjection\ContainerBuilder->doGet('template.twig.e...', 1)
#4 /home/partiero/public_html/ in /home/partiero/public_html/phpBB3/phpbb/template/twig/extension.php on line 34

Avatar de Usuario
J_Sparrow
Moderador
Mensajes: 1025
Registrado: 30 Oct 2009, 00:20
Género:
Edad: 59

Error al actualizar a phpbb 3.3

#4

Mensaje por J_Sparrow »

Tranquilo @Tio Javi , aquí en Europa todavía estamos trabajando: Recuerda que esto es un Hobby y no tenemos dedicación exclusiva. Pronto te ayudaremos, yo poco puedo hacer, salvo recomendarte (que ya lo habrás hecho), que leas <<ESTO>>.
Y por lo que he ido leyendo y leyendo, creo que hay que pasar un par de programas o extensiones para solucionar alguna incompatibilidad o desajuste entre versiones. Es lo que tiene cambiar en un Foro en vivo, si te instalas uno en local, puedes hacer las pruebas que quieras sin ningún susto serio.

Insisto, danos un poco tiempo a leerte, has hecho 3 comentarios en poco tiempo :D :D

Contenido Oculto
Este foro requiere que este registrado e identificado para ver el contenido oculto.
Tio Javi
Usuario/a
Mensajes: 58
Registrado: 21 Sep 2014, 04:19

Error al actualizar a phpbb 3.3  Tema Solucionado

#5

Mensaje por Tio Javi »

Ya lo solucioné. Instalé desde el inicio y luego deshabilité las extensiones y cambié el estilo. Saludos.

Avatar de Usuario
ThE KuKa
Administrador
Mensajes: 9552
Registrado: 04 Ene 2004, 19:27
Género:
Edad: 46

Error al actualizar a phpbb 3.3

#6

Mensaje por ThE KuKa »

Gracias @Tio Javi por comentarlo. :cerveza:

📌 Raul [ThE KuKa] en phpBB 📌
✅ Jr. Extension Validator - Jr. Styles Validator - Style Customisations - Translator - International Support Team
✅

Si te gustan mis estilos, traducciones, etc. y quieres mostrar algo de aprecio, no dudes en hacer una donación Imagen
:flag_es: phpBB España - En línea desde 2003 :heart:


Avatar de Usuario
J_Sparrow
Moderador
Mensajes: 1025
Registrado: 30 Oct 2009, 00:20
Género:
Edad: 59

Error al actualizar a phpbb 3.3

#7

Mensaje por J_Sparrow »

Pues damos el tema como solucionado y se cierra automáticamente.

Contenido Oculto
Este foro requiere que este registrado e identificado para ver el contenido oculto.
  • Temas similares
    Respuestas
    Vistas
    Último mensaje

Volver a “🔎 Foros de Soporte 3.3”